# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXReference

Function

Indicates that there is a reference to a specified Object.

Syntax
`
#include <dx/dx.h>
`

Object DXReference(Object o)

Functional Details

Indicates that there is a reference to Object `o`. The Object is guaranteed to not be deleted until this reference is released, using the `DXDelete` routine.

In general, one does not need to use `DXReference`, because the Data Explorer library routines such as `DXSetMember` and `DXSetComponentValue` manage an Object's reference count themselves.

Objects returned to the executive by modules should not be referenced. Objects returned to the executive are considered "owned" by the executive, and so it references these Objects.

Return Value

Returns `o`, or returns `NULL` and sets the error code to indicate an error.

See Also

`DXDelete, DXSetCacheEntry, DXSetCacheEntryV, DXUnreference`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]